#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 34. GNOME Applications

- Prev

  Brasero-3.12.3

- Next

  Evolution-3.60.1

- Up
- Home

# Evince-48.1

## Introduction to Evince

Evince is a document viewer for multiple document formats. It supports PDF, Postscript, DjVu, TIFF and DVI. It is useful for viewing documents of various types using one simple application instead of the multiple document viewers that once existed on the GNOME Desktop.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/evince/48/evince-48.1.tar.xz

- Download MD5 sum: a29c7fcd047073d69d910778b29bde14

- Download size: 2.8 MB

- Estimated disk space required: 49 MB

- Estimated build time: 0.1 SBU (Using parallelism=4)

### Evince Dependencies

#### Required

adwaita-icon-theme-50.0, gsettings-desktop-schemas-50.1, GTK-3.24.52, itstool-2.0.7, libhandy-1.8.3, libxml2-2.15.3, and OpenJPEG-2.5.4

#### Recommended

gnome-keyring-50.0, GLib-2.88.0 (with GObject Introspection), libarchive-3.8.7, libsecret-0.21.7, and Poppler-26.04.0

#### Optional

Cups-2.4.19 (to enable printing if support is built into GTK+ 3), gnome-desktop-44.5, gspell-1.14.3, gst-plugins-base-1.28.2, Gi-DocGen-2026.1, libgxps-0.3.2, libtiff-4.7.1, texlive-20250308 (or install-tl-unx), DjVuLibre, libspectre, and Synctex

## Installation of Evince

Install Evince by running the following commands:

    mkdir build &&
    cd    build &&

    CPPFLAGS+=" -I/opt/texlive/2025/include -DNO_DEBUG" \
    meson setup --prefix=/usr                \
                --buildtype=release          \
                -D gtk_doc=false             \
                --wrap-mode=nodownload       \
                ..                           &&
    ninja

If you have Gi-DocGen-2026.1 installed and wish to build the API documentation for this package, issue:

    sed "/docs_dir/s@\$@ / 'evince-48.1'@" -i ../help/meson.build &&
    meson configure -D gtk_doc=true                                 &&
    ninja

This package does not have a working test suite.

Now, as the `root` user:

    ninja install

### Note

If you installed the package to your system using a “DESTDIR” method, `/usr/share/glib-2.0/schemas/gschemas.compiled` was not updated/created. Create (or update) the file using the following command as the `root` user:

    glib-compile-schemas /usr/share/glib-2.0/schemas

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`CPPFLAGS+=" -I/opt/texlive/2025/include"`: Make sure that meson can find libkpathsea headers from TeXLive if it is installed. This has no effect on systems without TeXLive installed.

`--wrap-mode=nodownload`: This switch disables fetching any dependency: the build system tries to fetch gi-docgen even if `-D gtk_doc=false` is passed.

`-D gtk_doc=false`: Allow building this package without Gi-DocGen-2026.1 installed. If you have Gi-DocGen-2026.1 installed and you wish to rebuild and install the API documentation, a meson configure command will reset this option.

`-D gspell=false`: This switch turns off support for the spell checking plugin.

`-D introspection=false`: Use this option if you don't have built GLib-2.88.0 with GObject Introspection and don't wish to have introspection support built into Evince.

`-D nautilus=false`: This switch disables building the Nautilus Plugin. Use this switch if Nautilus is not installed.

`-D keyring=false`: This switch disables the use of libsecret. Use this switch if libsecret is not installed.

`-D ps=enabled`: Use this switch if libspectre is installed and you want to view PostScript files with Evince.

## Contents

Installed Programs: evince, evince-previewer, and evince-thumbnailer
Installed Libraries: libevdocument3.so and libevview3.so
Installed Directories: /usr/{include,lib,share}/evince, /usr/share/gtk-doc/html/{evince,libevdocument-3.0,libevview-3.0} (optional), and /usr/share/help/*/evince

### Short Descriptions

evince | is a multiple format document viewer
evince-previewer | is an application that implements the printing previewer
evince-thumbnailer | is a simple program used to create thumbnail images of supported documents

- Prev

  Brasero-3.12.3

- Next

  Evolution-3.60.1

- Up
- Home